const system=require("../../../system");
const Dao=require("../../dao.base");
class TaskDao extends Dao{
  constructor(){
    super(Dao.getModelName(TaskDao));
  }
  extraWhere(qobj,qw,qc){
    qc.raw=true;
    return qw;
  }
  async delete(task,qobj,t){
    return task.destroy({where:qobj,transaction:t});
  }
}
module.exports=TaskDao;
